Core - Task # 26508

Status: Resolved Priority: Should have
Author: Steffen Gebert Category: Backend API
Created: 2011-04-29 Assigned To: Steffen Ritter
Updated: 2013-06-17 Due date:

TYPO3 Version: 4.7

PHP Version:

Complexity:

Sprint Focus:

Subject: Remove unused files from Core

Description

There are unused files, mostly from the old backend, lying around in the typo3/ directory. Remove them.

Related issues:
related to LTS Smooth Migration - Task # 49194: Check for 'Remove Code from C... New

2013-06-17

Associated revisions

Revision ¢56¢76c4 - 2013-04-08 22:18 - Benjamin Mack

[TASK] Remove deprecated code from Core

Furthermore there is outstanding code to be
removed which is deprecated.

Resolves: #26508

Releases: 6.1

Change-Id: Ic2fa23d9d87fa81c6ec4526afba2d75064a693bc
Reviewed-on: https://review.typo3.org/1799

Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter
Reviewed-by: Wouter Wolters
Reviewed-by: Benjamin Mack

Tested-by: Benjamin Mack

History

#1 - 2011-04-29 16:44 - Mr. Hudson

Patch set 1 of change Ic2fa23d9d87fa81c6ec4526afba2d75064a693bc has been pushed to the review server.

It is available at http:/review.typo3.org/1799

#2 - 2011-04-29 17:58 - Mr. Hudson

Patch set 2 of change Ic2fa23d9d87fa81c6ec4526afba2d75064a693bc has been pushed to the review server.

It is available at http://review.typo3.org/1799

#3 - 2011-05-01 15:05 - Mr. Hudson
Patch set 3 of change Ic2fa23d9d87fa81c6ec4526afba2d75064a693bc has been pushed to the review server.

It is available at http://review.typo3.org/1799

#4 - 2011-07-04 19:25 - Thorsten Kahler
- Status changed from New to Under Review

Most of the files have been deprecated with version 4.5 so they should be kept until 4.7 according to our rules.

IMHO source:typo3/logomenu.php could be deleted without deprecating it because its base class has been deleted with

commit:8b7f921122d4d8dcef140e7c5e17357fe1dd1c03 already.

#5 - 2011-10-31 12:52 - Chris topher

- Target version set to 4.7.0

- Parent task changed from #24954 to #31461
- TYPOS3 Version changed from 4.6 to 4.7

#6 - 2011-11-30 10:18 - Steffen Ritter
- Target version changed from 4.7.0 to 4.7.0-alpha2

#7 - 2011-12-18 11:27 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/1799

#8 - 2011-12-19 11:27 - Steffen Ritter
- Assigned To set to Steffen Ritter

#9 - 2011-12-20 22:50 - Oliver Hader
- Target version changed from 4.7.0-alpha2 to 4.7.0-alpha3

#10 - 2012-02-09 13:44 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/1799

#11 - 2012-02-13 09:42 - Steffen Ritter
- Target version changed from 4.7.0-alpha3 to 4.7.0-beta1

#12 - 2012-03-05 17:37 - Steffen Ritter
- Target version deleted (4.7.0-betat)

#13 - 2012-03-05 17:39 - Steffen Ritter
- Parent task deleted (#31461)

#14 - 2013-04-06 10:16 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/1799
#15 - 2013-04-08 22:31 - Benjamin Mack
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c56c76c4902176e90aaa5b23926948b45eb3c9ee.
